Magick::DrawableFillColor Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::DrawableFillColor:
[legend]
Collaboration diagram for Magick::DrawableFillColor:
[legend]

## Public Member Functions

| DrawableFillColor (const Color &color_)
| DrawableFillColor (const DrawableFillColor &original_)
| ~DrawableFillColor (void)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | color (const Color &color_)
Color | color (void) const
Public Member Functions inherited from Magick::DrawableBase
| DrawableBase (void)
virtual | ~DrawableBase (void)

## Detailed Description

Definition at line 854 of file Drawable.h.

## Constructor & Destructor Documentation

Magick::DrawableFillColor::DrawableFillColor | ( | const Color & | color_ | ) |

Definition at line 591 of file Drawable.cpp.

Magick::DrawableFillColor::DrawableFillColor | ( | const DrawableFillColor & | original_ | ) |

Definition at line 596 of file Drawable.cpp.

Magick::DrawableFillColor::~DrawableFillColor | ( | void |  | ) |

Definition at line 601 of file Drawable.cpp.

## Member Function Documentation

void Magick::DrawableFillColor::color | ( | const Color & | color_ | ) |

inline

Definition at line 869 of file Drawable.h.

Color Magick::DrawableFillColor::color | ( | void |  | ) | const

inline

Definition at line 873 of file Drawable.h.

Magick::DrawableBase * Magick::DrawableFillColor::copy | ( |  | ) | const

virtual

Implements Magick::DrawableBase.

Definition at line 613 of file Drawable.cpp.

void Magick::DrawableFillColor::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Implements Magick::DrawableBase.

Definition at line 605 of file Drawable.cpp.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp